com.taosdata.jdbc.ws.stmt2.entity

## Class Stmt2PrepareResp

- java.lang.Object
- - com.taosdata.jdbc.ws.entity.Response
  - - com.taosdata.jdbc.ws.entity.CommonResp
    - - com.taosdata.jdbc.ws.stmt2.entity.Stmt2PrepareResp

    public class Stmt2PrepareResp
    extends CommonResp

### Constructor Summary

Constructors
Constructor and Description
`Stmt2PrepareResp()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Field>` `getFields()`
`int` `getFieldsCount()`
`long` `getStmtId()`
`boolean` `isInsert()`
`void` `setFields(List<Field> fields)`
`void` `setFieldsCount(int fieldsCount)`
`void` `setInsert(boolean insert)`
`void` `setStmtId(long stmtId)`

### Methods inherited from class com.taosdata.jdbc.ws.entity.CommonResp

`getCode, getMessage, setCode, setMessage`

### Methods inherited from class com.taosdata.jdbc.ws.entity.Response

`getAction, getReqId, setAction, setReqId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Stmt2PrepareResp

    public Stmt2PrepareResp()

### Method Detail

#### getStmtId

    public long getStmtId()

#### setStmtId

    public void setStmtId(long stmtId)

#### getFields

    public List<Field> getFields()

#### setFields

    public void setFields(List<Field> fields)

#### getFieldsCount

    public int getFieldsCount()

#### setFieldsCount

    public void setFieldsCount(int fieldsCount)

#### isInsert

    public boolean isInsert()

#### setInsert

    public void setInsert(boolean insert)